#
# spec file for package fltk (Version 1.0.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         fltk
Copyright:    LGPL
Group:        System Environment/Libraries
Provides:     fltk
Autoreqprov:  on
Version:      1.0.11
Release:      45
Summary:      Free C++ GUI toolkit for X, OpenGL and WIN32 (Windows 95,98,NT)
URL:          http://www.fltk.org/
Source:       ftp://ftp.fltk.org/pub/fltk/%{version}/fltk-%{version}-source.tar.bz2
# Patch:        fltk.dif
BuildRoot:    /var/tmp/%{name}-root
%package devel
Summary:      Free C++ GUI toolkit for X, OpenGL and WIN32 (Windows 95,98,NT)
Group:        Development/Libraries
Requires:     fltk
Autoreqprov:  on

%description devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.
The installation of this package requires you to install a 3D-library.
If you don't have hardware 3D you can use the software OpenGL library
in package mesasoft (series x3d). The library can be recompiled without
3D-support.

SuSE series: xdev


%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.
The installation of this package requires you to install a 3D-library.
If you don't have hardware 3D you can use the software OpenGL library
in package mesasoft (series x3d). The library can be recompiled without
3D-support.

SuSE series: xdev

%prep
%setup -n fltk-%{version}
# %patch -p1

%build
%ifarch ia64
CXXFLAGS=-O0 \
%endif
./configure --prefix=/usr/X11R6 \
	    --bindir=/usr/X11R6/bin \
            --libdir=/usr/X11R6/lib \
            --includedir=/usr/X11R6/include \
            --enable-shared
make

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/lib/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/include/FL
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/bin/
make install libdir=${RPM_BUILD_ROOT}/usr/X11R6/lib/ includedir=${RPM_BUILD_ROOT}/usr/X11R6/include \
             bindir=${RPM_BUILD_ROOT}/usr/X11R6/bin/
install -d -m 755 ${RPM_BUILD_ROOT}%{_docdir}/fltk
cp -a CHANGES COPYING README documentation test ${RPM_BUILD_ROOT}%{_docdir}/fltk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{_docdir}/fltk/CHANGES
%doc %{_docdir}/fltk/COPYING
%doc %{_docdir}/fltk/README
/usr/X11R6/lib/libfltk.so.1

%files devel
%doc %{_docdir}/fltk/documentation
%doc %{_docdir}/fltk/test
/usr/X11R6/lib/libfltk.a
/usr/X11R6/lib/libfltk.so
/usr/X11R6/include/FL/
/usr/X11R6/include/Fl
/usr/X11R6/bin/fluid

%changelog -n fltk
* Mon Aug 27 2001 - kukuk@suse.de
- split off devel subpackage
* Fri May 25 2001 - pblaha@suse.cz
- update on 1.0.11
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Thu Mar 08 2001 - pblaha@suse.cz
- update on 1.0.10
* Wed Mar 07 2001 - ro@suse.de
- added glu and glut packages
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Mon Jul 10 2000 - mha@suse.de
- new version: 1.0.9
* Tue Jun 20 2000 - schwab@suse.de
- Lower opt level on ia64.
* Wed May 24 2000 - smid@suse.cz
- fix to compile with new mesa
* Fri Apr 21 2000 - smid@suse.cz
- buildroot added
* Mon Feb 14 2000 - mha@suse.de
- update to 1.0.7
* Wed Sep 29 1999 - mha@suse.de
- update to 1.0.6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - mha@suse.de
- removed call to "glXReleaseBuffersMESA", which only exists
  in mesasoft, but not in any hardware-accelerated OpenGL library
* Mon Jul 19 1999 - bs@suse.de
- added Check
* Mon Jul 19 1999 - mha@suse.de
- new package: FLTK (pronounced "fulltick") is a LGPL'd C++ graphical
  user interface toolkit for X (UNIX), OpenGL, and WIN32 (Microsoft
  Windows NT 4.0, 95, or 98)
